StandardValveContext (Tomcat API Documentation)
Keywords: org.apache.catalina.core.StandardValveContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardValveContext

    java.lang.Object
      org.apache.catalina.core.StandardValveContext

All Implemented Interfaces:
  ValveContext

public final class StandardValveContext
extends java.lang.Object
implements ValveContext

Standard implementation of a `ValveContext`.

Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected Valve` | `basic`
`protected java.lang.String` | `info`
`protected static StringManager` | `sm` The string manager for this package.
`protected int` | `stage`
`protected Valve[]` | `valves`

Constructor Summary
`StandardValveContext()`

Method Summary
`java.lang.String` | `getInfo()` Return descriptive information about this ValveContext implementation.
`void` | `invokeNext(Request request, Response response)` Cause the `invoke()` method of the next Valve that is part of the Pipeline currently being processed (if any) to be executed, passing on the specified request and response objects plus this `ValveContext` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static StringManager sm

  The string manager for this package.

### info

    protected java.lang.String info

### stage

    protected int stage

### basic

    protected Valve basic

### valves

    protected Valve[] valves

Constructor Detail

### StandardValveContext

    public StandardValveContext()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this ValveContext implementation.

  Specified by:
    `getInfo` in interface `ValveContext`

### invokeNext

    public final void invokeNext(Request request,
                                 Response response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Cause the `invoke()` method of the next Valve that is part of the Pipeline currently being processed (if any) to be executed, passing on the specified request and response objects plus this `ValveContext` instance. Exceptions thrown by a subsequently executed Valve (or a Filter or Servlet at the application level) will be passed on to our caller. If there are no more Valves to be executed, an appropriate ServletException will be thrown by this ValveContext.

  Specified by:
    `invokeNext` in interface `ValveContext`
  Parameters:
    `request` - The request currently being processed
    `response` - The response currently being created
  Throws:
    `java.io.IOException` - if thrown by a subsequent Valve, Filter, or Servlet
    `javax.servlet.ServletException` - if thrown by a subsequent Valve, Filter, or Servlet
    `javax.servlet.ServletException` - if there are no further Valves configured in the Pipeline currently being processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.